LLM Gateway

Moderations

Classify text or multimodal inputs with OpenAI moderation. API reference for POST /v1/moderations: request parameters, response schema and code samples.

POST
/v1/moderations

Classify text or multimodal inputs with OpenAI moderation.

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using API keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/moderations" \  -H "Content-Type: application/json" \  -d '{    "input": "I want to harm someone."  }'
{
  "id": "modr-123",
  "model": "openai/openai-moderation",
  "results": [
    {
      "flagged": true,
      "categories": {
        "violence": true,
        "self_harm": false
      },
      "category_scores": {
        "violence": 0.98,
        "self_harm": 0.01
      },
      "category_applied_input_types": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "property1": null,
      "property2": null
    }
  ],
  "usage": {
    "cost": 0.00002,
    "cost_details": {
      "property1": 0,
      "property2": 0
    },
    "property1": null,
    "property2": null
  },
  "property1": null,
  "property2": null
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?

Last updated on